## section-row

section-row

## Functions

rasqal_row * | rasqal_new_row_for_size ()
void | rasqal_free_row ()
int | rasqal_row_set_value_at ()

## Types and Values

typedef | rasqal_row

## Description

## Functions

### rasqal_new_row_for_size ()

    rasqal_row *
    rasqal_new_row_for_size (rasqal_world *world,
                             int size);

Constructor - Create a new query result row of a given size

#### Parameters

world | rasqal_world |
size | width of row |

#### Returns

a new query result row or NULL on failure

### rasqal_free_row ()

    void
    rasqal_free_row (rasqal_row *row);

Destructor - Free a query result row object.

#### Parameters

row | query result row |

### rasqal_row_set_value_at ()

    int
    rasqal_row_set_value_at (rasqal_row *row,
                             int offset,
                             rasqal_literal *value);

Set the value of a variable in a query result row

Any existing row value is freed and the literal `value` passed in is copied.

#### Parameters

row | query result row |
offset | offset into row (column number) |
value | literal value to set |

#### Returns

non-0 on failure

## Types and Values

### rasqal_row

    typedef struct rasqal_row_s rasqal_row;

Rasqal Result Row class.